%define major 0
%define libname %mklibname purple %{major}
%define develname %mklibname purple -d

%define console_app finch
%define lib_console_app %mklibname %{console_app} %{major}
%define gntlib	%mklibname gnt 0

%bcond_with evolution
%bcond_without silc
%bcond_without meanwhile
%bcond_without networkmanager
%bcond_without vv
%bcond_without libgadu
%bcond_without sasl

#gw http://developer.pidgin.im/ticket/11936#comment:1
%bcond_with mono

Summary:	A GTK+ based multiprotocol instant messaging client
Name:		pidgin
Version:	2.14.1
%define 	subrel 1
Release:	%mkrel 6
Group:		Networking/Instant messaging
License:	GPLv2+
URL:		http://www.pidgin.im/
Source0:	http://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.bz2
#gw from Fedora: generate one time passwords
Source2:        one_time_password.c
Patch0:		pidgin-2.7.0-smiley.patch
Patch3:		pidgin-2.4.2-set-jabber-as-module.patch
#gw fix build with mono 2.6.4 which does not have the nessessary glib dep
#in the pkgconfig file
#also add missing include
Patch6:		pidgin-2.7.0-mono-build.patch
Patch10:	pidgin-2.13.0-python-3.8-fix.patch
Patch11:	pidgin-2.10.11-purple-remote-python3.patch
Patch12:	pidgin-2.13.0-fix-build-against-nm-1.0.patch
#gw fix reading resolv.conf in NetworkManager integration
Patch111:	pidgin-2.8.0-reread-resolvconf.patch
Patch115:	pidgin-2.10.0-gg-search-by-uin.patch
Patch116:	pidgin-2.8.0-gg-disconnect.patch
Patch117:	pidgin-2.14.1-intltool.patch

#
# Security Patches
# P200 -> ...
# 
# CVE-2022-26491
Patch200:	0001-Remove-_xmppconnect-support.patch

BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	autoconf
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(gnt)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.10
BuildRequires:	pkgconfig(gtkspell-2.0) >= 2.0.2
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(ncursesw)
#gw for finch:
BuildRequires:	pkgconfig(python3)
%if %{with libgadu}
BuildRequires:	pkgconfig(libgadu) >= 1.11.0
%endif
%if %{with networkmanager}
BuildRequires:	pkgconfig(libnm)
%endif
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	gstreamer1.0-devel
BuildRequires:	libgstreamer1.0-plugins-base-devel
BuildRequires:  pkgconfig(libidn)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	doxygen
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(dbus-1) >= 0.50
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	graphviz
BuildRequires:	libxslt-proc
BuildRequires:	GConf2
%if %{with meanwhile}
BuildRequires:	pkgconfig(meanwhile) >= 1.0.0
%else
BuildConflicts:	meanwhile-devel
%endif
%if %{with evolution}
BuildRequires:	evolution-data-server-devel
%endif
%if %{with silc}
BuildRequires:	silc-toolkit-devel >= 0.9.12
%else
BuildConflicts:	silc-toolkit-devel
%endif
%if %{with mono}
BuildRequires:	mono-devel
%endif
%if %{with vv}
BuildRequires:	pkgconfig(farstream-0.2) >= 0.1.1
Recommends:	gstreamer1.0-farstream
%endif
%if %{with sasl}
BuildRequires:  pkgconfig(libsasl2)
%endif
BuildRequires: intltool
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	rootcerts
Requires:	xdg-utils
# for notifications in gnome-shell
Recommends:	purple-libnotify-plus

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
Zephyr.  These protocols are implemented using a modular, easy to
use design.  To use a protocol, just add an account using the
account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%package plugins
Summary:	Pidgin plugins shared by the Purple and Finch
Group:		Networking/Instant messaging
Conflicts:	%{name} < 2.4.1-3mdv

%description plugins
This contains the parts of Pidgin that are shared between the Purple and
Finch Instant Messengers.

%package perl
Summary:	Purple extension, to use perl scripting
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description perl
Purple can use perl script as plugin, this plugin enable them.

%package tcl
Summary:	Purple extension, to use tcl scripting
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description tcl
Purple can use tcl script as plugin, this plugin enable them.

%if %{with evolution}
%package gevolution
Summary:	Pidgin extension, for Evolution integration
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description gevolution
This pidgin plugin allows you to have pidgin working together with evolution.
%endif

%package silc
Summary:	Purple extension, to use SILC (Secure Internet Live Conferencing)
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description silc
This purple plugin allows you to use SILC (Secure Internet Live Conferencing)
plugin for live video conference.

%package -n %{develname}
Summary:	Development files for pidgin
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{lib_console_app} = %{version}-%{release}
Requires:	pidgin-client = %version-%release
Provides:	libpidgin-devel = %{version}-%{release}
Provides:	pidgin-devel = %{version}-%{release}
Provides:	purple-devel = %{version}-%{release}

%description -n %{develname}
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.

%package -n %{libname}
Summary:	The libpurple library for IM clients like Pidgin and Finch
Group:		System/Libraries
# Required to connect to somme XMPP or IRC servers
Requires:	sasl-plug-plain
Requires:	sasl-plug-scram
Requires:	sasl-plug-digestmd5
Requires:	sasl-plug-crammd5

%description -n %{libname}
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n %{lib_console_app}
Summary:	The libgnt library for the Finch IM client
Group:		System/Libraries
Conflicts:	%mklibname gaim 0
Requires:	%{gntlib} >= 2.14.0

%description -n %{lib_console_app}
libgnt contains the core IM support for the Finch IM client.

libgnt supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n %{console_app}
Summary:	A text-based user interface for Pidgin
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_console_app} >= %{version}-%{release}
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	%{gntlib} >= 2.14.0

%description -n	%{console_app}
A text-based user interface for using libpurple. This can be run from a
standard text console or from a terminal within X Windows.  It
uses ncurses and our homegrown gnt library for drawing windows
and text.

%package bonjour
Summary:	Bonjour plugin for Purple
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description bonjour
Bonjour plugin for purple.

%package meanwhile
Summary:	Lotus Sametime Community Client plugin for Purple
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description meanwhile
Lotus Sametime Community Client plugin for purple.

%package client
Summary:	Plugin and sample client to control purple clients
Group:		Networking/Instant messaging
Requires:	python3-dbus
Requires:	%{name} = %{version}-%{release}

%description client
Applications and library to control purple clients remotely.

%package mono
Summary:	Purple extension, to use Mono plugins
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description mono
Purple can use plugins developed with Mono.

%package i18n
Summary:	Translation files for Pidgin/Finch
Group:		Networking/Instant messaging
BuildArch:	noarch

%description i18n
This package contains translation files for Pidgin/Finch.

%prep
%setup -q
%patch0 -p1 -b .smiley
%patch3 -p0
%patch6 -p1
#patch10 -p1 -b .pat10
#patch11 -p1 -b .pat11
#patch12 -p1
%patch111 -p1 -b .reread-resolvconf
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch200 -p1

# Get rid of #!/usr/bin/env python
# Upstream refuses to use ./configure --python-path= in these scripts.
pathfix.py -pni "%{python3} %{py3_shbang_opts}"  finch/plugins/pietray.py libpurple/purple-remote \
            libpurple/plugins/dbus-buddyicons-example.py \
            libpurple/plugins/startup.py libpurple/purple-url-handler \
            libpurple/purple-notifications-example

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([\3\4 subdir-objects]),' configure.ac

%build
autoreconf -fi -Im4macros
#gw 2.7.0, the yahoo plugin does not build otherwise
%define _disable_ld_no_undefined 1
%configure \
	--enable-gnutls=yes \
%if %{with mono}
	--enable-mono \
%else
	--disable-mono \
%endif
%if %{with networkmanager}
	--enable-nm \
%else
	--disable-nm \
%endif
%if %{with evolution}
	--enable-gevolution \
%endif
%if ! %{with vv}
        --disable-vv \
%endif
%if %{with sasl}
        --enable-cyrus-sasl \
%else
        --disable-cyrus-sasl \
%endif
	--without-krb4 \
	--enable-cap \
	--with-python=%__python3 \
	--with-system-ssl-certs=%_sysconfdir/pki/tls/rootcerts/ \
	--disable-static --disable-schemas-install
%make_build

# one_time_password plugin, to be merged upstream soon
cp %{SOURCE2} libpurple/plugins/
pushd libpurple/plugins/
make one_time_password.so
popd


%install
%make_install

install -m 0755 libpurple/plugins/one_time_password.so %{buildroot}%{_libdir}/purple-2/

desktop-file-install \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Network" \
  --add-category="InstantMessaging" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# remove files not bundled
rm -f %{buildroot}%{_libdir}/*/*.la
rm -f %buildroot%_prefix/*/perl5/*/perllocal.pod \
      %buildroot%_libdir/*/perl/auto/*/{.packlist,*.bs}

# fix rights
chmod 755 \
	%{buildroot}%{_libdir}/pidgin/perl/auto/Pidgin/Pidgin.so \
	%{buildroot}%{_libdir}/purple-2/perl/auto/Purple/Purple.so

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas purple

%files
%doc AUTHORS COPYRIGHT ChangeLog
%doc NEWS README doc/the_penguin.txt
%{_mandir}/man1/pidgin.*
%{_sysconfdir}/gconf/schemas/purple.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{_datadir}/sounds/purple
%{_libdir}/pidgin/cap.so
%{_libdir}/pidgin/convcolors.so
%{_libdir}/pidgin/extplacement.so
%{_libdir}/pidgin/gestures.so
%{_libdir}/pidgin/gtkbuddynote.so
%{_libdir}/pidgin/history.so
%{_libdir}/pidgin/iconaway.so
%{_libdir}/pidgin/markerline.so
%{_libdir}/pidgin/musicmessaging.so
%{_libdir}/pidgin/notify.so
%{_libdir}/pidgin/pidginrc.so
%{_libdir}/pidgin/relnot.so
%{_libdir}/pidgin/sendbutton.so
%{_libdir}/pidgin/spellchk.so
%{_libdir}/pidgin/themeedit.so
%{_libdir}/pidgin/ticker.so
%{_libdir}/pidgin/timestamp.so
%{_libdir}/pidgin/timestamp_format.so
%{_libdir}/pidgin/transparency.so
%if %{with vv}
%{_libdir}/pidgin/vvconfig.so
%endif
%{_libdir}/pidgin/xmppconsole.so
%{_libdir}/pidgin/xmppdisco.so

%files -n %{develname}
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/*
%{_datadir}/aclocal/purple.m4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libpurple.so
%{_libdir}/libpurple-client.so
%{_libdir}/lib*.la

%files -n %{libname}
%{_libdir}/libpurple.so.%{major}{,.*}

%files -n %{console_app}
%doc %{_mandir}/man1/%{console_app}.*
%{_bindir}/%{console_app}
%{_libdir}/finch/

%files -n %{lib_console_app}

%files bonjour
%{_libdir}/purple-2/libbonjour.so

%files perl
%doc doc/PERL-HOWTO.dox
%dir %_libdir/%name/perl
%_libdir/%name/perl/Pidgin.pm
%dir %_libdir/%name/perl/auto
%dir %_libdir/%name/perl/auto/Pidgin/
%_libdir/%name/perl/auto/Pidgin/Pidgin.so
%dir %{_libdir}/purple-2/perl
%{_libdir}/purple-2/perl/Purple.pm
%dir %{_libdir}/purple-2/perl/auto
%dir %{_libdir}/purple-2/perl/auto/Purple/
%{_libdir}/purple-2/perl/auto/Purple/Purple.so
%{_libdir}/purple-2/perl/auto/Purple/autosplit.ix
%{_libdir}/purple-2/perl.so
%{_mandir}/man3*/*

%files tcl
%doc doc/TCL-HOWTO.dox
%{_libdir}/purple-2/tcl.so

%if %{with silc}
%files silc
%doc libpurple/protocols/silc/README
%{_libdir}/purple-2/libsilcpurple.so
%endif

%if %{with evolution}
%files gevolution
%{_libdir}/%{name}/gevolution.so
%endif

%if %{with meanwhile}
%files meanwhile
%{_libdir}/purple-2/libsametime.so
%endif

%files client
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-client-example
%{_bindir}/purple-url-handler
%{_libdir}/libpurple-client.so.0*
%{_libdir}/purple-2/dbus-example.so

%if %{with mono}
%files mono
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif

%files i18n -f %{name}.lang

%files plugins
%dir %{_libdir}/purple-2
%{_libdir}/purple-2/autoaccept.so
%{_libdir}/purple-2/buddynote.so
%{_libdir}/purple-2/idle.so
%{_libdir}/purple-2/joinpart.so
%{_libdir}/purple-2/libaim.so
%{_libdir}/purple-2/libgg.so
%{_libdir}/purple-2/libicq.so
%{_libdir}/purple-2/libirc.so
%{_libdir}/purple-2/libjabber.so
%{_libdir}/purple-2/libnovell.so
%{_libdir}/purple-2/liboscar.so
%{_libdir}/purple-2/libsimple.so
%{_libdir}/purple-2/libxmpp.so
%{_libdir}/purple-2/libzephyr.so
%{_libdir}/purple-2/log_reader.so
%{_libdir}/purple-2/newline.so
%{_libdir}/purple-2/nss-prefs.so
%{_libdir}/purple-2/offlinemsg.so
%{_libdir}/purple-2/one_time_password.so
%{_libdir}/purple-2/psychic.so
%{_libdir}/purple-2/ssl-gnutls.so
%{_libdir}/purple-2/ssl-nss.so
%{_libdir}/purple-2/ssl.so
%{_libdir}/purple-2/statenotify.so


%changelog
* Wed May 18 2022 neoclust <neoclust> 2.14.1-6.1.mga8
+ Revision: 1858567
- Add P200: Fix CVE-2022-26491 (mga#30438)

* Wed Feb 10 2021 pterjan <pterjan> 2.14.1-6.mga8
+ Revision: 1675142
- Require most common SASL plugins to make SASL support useful

* Wed Feb 10 2021 pterjan <pterjan> 2.14.1-5.mga8
+ Revision: 1675120
- Enable SASL support (mga#28343)

* Fri Oct 16 2020 luigiwalser <luigiwalser> 2.14.1-4.mga8
+ Revision: 1636428
- try to fix intltool initialization
+ joequant <joequant>
- add intltool

* Thu Jun 18 2020 umeabot <umeabot> 2.14.1-2.mga8
+ Revision: 1596061
- Rebuild for perl 5.32

* Fri Jun 12 2020 shlomif <shlomif> 2.14.1-1.mga8
+ Revision: 1592686
- New version 2.14.1

* Thu Jun 11 2020 shlomif <shlomif> 2.14.0-1.mga8
+ Revision: 1592623
- New version 2.14.0

* Sun Feb 23 2020 daviddavid <daviddavid> 2.13.0-7.mga8
+ Revision: 1549551
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 21 2019 wally <wally> 2.13.0-6.mga8
+ Revision: 1444262
- enable networkmanager support
- add Fedora patch to fix build with recent networkmanager
- add patch from Fedora to fix purple-remote with python3
- add patch to fix build with python3.8
- drop old obsoletes and provides

* Tue Aug 27 2019 tmb <tmb> 2.13.0-5.mga8
+ Revision: 1433959
- rebuild for perl 5.30

* Sun Sep 23 2018 umeabot <umeabot> 2.13.0-4.mga7
+ Revision: 1300263
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.13.0-3.mga7
+ Revision: 1249316
- Rebuild for perl 5.28

* Fri May 11 2018 kekepower <kekepower> 2.13.0-2.mga7
+ Revision: 1228379
- Rebuild for libidn 1.35

* Fri Mar 09 2018 shlomif <shlomif> 2.13.0-1.mga7
+ Revision: 1207479
- New version 2.13.0

* Sat Jul 22 2017 neoclust <neoclust> 2.12.0-2.mga7
+ Revision: 1126513
- Rebuild against new Perl 5.26

* Fri Mar 10 2017 shlomif <shlomif> 2.12.0-1.mga6
+ Revision: 1091451
- New upstream version 2.12.0 with AOL protocol update and fixes.

* Tue Jun 21 2016 shlomif <shlomif> 2.11.0-1.mga6
+ Revision: 1037018
- New stable version with fixes

* Mon Apr 11 2016 shlomif <shlomif> 2.10.12-2.mga6
+ Revision: 1000223
- Add patch to fix RTL incoming messages

* Mon Jan 18 2016 luigiwalser <luigiwalser> 2.10.12-1.mga6
+ Revision: 925702
- 2.10.12

* Mon Jan 11 2016 luigiwalser <luigiwalser> 2.10.11-6.mga6
+ Revision: 921832
- rebuild for gnutls

* Mon Oct 05 2015 daviddavid <daviddavid> 2.10.11-5.mga6
+ Revision: 886304
- rebuild for new tcl/tk 8.6.4

* Sat Jun 27 2015 tv <tv> 2.10.11-4.mga6
+ Revision: 846066
- rebuild for soname-ifed perl

* Sun Jun 21 2015 luigiwalser <luigiwalser> 2.10.11-3.mga6
+ Revision: 838505
- rebuild for new farstream

* Sat Jun 20 2015 wally <wally> 2.10.11-2.mga6
+ Revision: 836620
- add patch originally from Alt Linux to port to farstream 0.2 and gstreamer 1.0

* Mon Nov 24 2014 shlomif <shlomif> 2.10.11-1.mga5
+ Revision: 798829
- New version 2.10.11

* Wed Oct 22 2014 oden <oden> 2.10.10-1.mga5
+ Revision: 792523
- P117: drop the applied upstream patch
- 2.10.10

* Wed Oct 15 2014 umeabot <umeabot> 2.10.9-7.mga5
+ Revision: 749844
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.9-6.mga5
+ Revision: 687580
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Jul 11 2014 luigiwalser <luigiwalser> 2.10.9-5.mga5
+ Revision: 651341
- add upstream patch to fix Yahoo! and re-enable gnutls

* Mon Jul 07 2014 luigiwalser <luigiwalser> 2.10.9-4.mga5
+ Revision: 650510
- build with system libgadu to fix CVE-2014-3775

* Mon Jul 07 2014 luigiwalser <luigiwalser> 2.10.9-3.mga5
+ Revision: 650325
- disable gnutls to fix Yahoo! protocol

* Fri May 16 2014 fwang <fwang> 2.10.9-2.mga5
+ Revision: 622976
- rebuild for new silc-toolkit

* Tue Feb 04 2014 dams <dams> 2.10.9-1.mga5
+ Revision: 581664
- new version 2.10.9

* Tue Jan 28 2014 luigiwalser <luigiwalser> 2.10.8-1.mga4
+ Revision: 568515
- 2.10.8
- remove upstreamed patch

* Sat Oct 19 2013 umeabot <umeabot> 2.10.7-4.mga4
+ Revision: 529194
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 wally <wally> 2.10.7-3.mga4
+ Revision: 450836
- fix farstream BR after pkg renaming

* Thu Feb 14 2013 luigiwalser <luigiwalser> 2.10.7-2.mga3
+ Revision: 398366
- fix segfault in cap plugin

* Wed Feb 13 2013 oden <oden> 2.10.7-1.mga3
+ Revision: 398228
- 2.10.7 (fixes CVE-2013-0271, CVE-2013-0272, CVE-2013-0273, CVE-2013-0274)

* Sun Jan 13 2013 umeabot <umeabot> 2.10.6-3.mga3
+ Revision: 377695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 blino <blino> 2.10.6-2.mga3
+ Revision: 322725
- suggest purple-libnotify-plus for notifications in gnome-shell
- provide purple-devel in devel package

* Fri Jul 06 2012 shlomif <shlomif> 2.10.6-1.mga3
+ Revision: 268509
- New version 2.10.6

* Thu Jul 05 2012 shlomif <shlomif> 2.10.5-1.mga3
+ Revision: 268261
- New version 2.10.5

* Wed May 09 2012 fwang <fwang> 2.10.4-1.mga2
+ Revision: 234977
- new version 2.10.4

* Wed May 02 2012 dams <dams> 2.10.3-2.mga2
+ Revision: 234522
+ rebuild (emptylog)

* Wed Mar 28 2012 shlomif <shlomif> 2.10.3-1.mga2
+ Revision: 227224
- Bump to a new version (2.10.3 instead of 2.10.2) for bug fixes, including fixing the MSN protocol.

* Wed Mar 14 2012 dams <dams> 2.10.2-1.mga2
+ Revision: 223384
- new version 2.10.2

* Sun Mar 04 2012 wally <wally> 2.10.1-2.mga2
+ Revision: 217911
- add patch to use farstream instead of old farsight2
+ fwang <fwang>
- should be noarch

* Sun Dec 11 2011 fwang <fwang> 2.10.1-1.mga2
+ Revision: 180549
- new version 2.10.1

* Wed Nov 09 2011 dams <dams> 2.10.0-3.mga2
+ Revision: 165979
- Add back file 'auto/Purple/autosplit.ix' (removed by MDV in 2009) to fix bug #2206)

* Tue Sep 06 2011 dmorgan <dmorgan> 2.10.0-2.mga2
+ Revision: 139592
- Rebuild to have an higher release than in updates
+ fwang <fwang>
- new version 2.10.0
- br gcrypt
- rebuild for new gnutls

* Sat Jul 02 2011 fwang <fwang> 2.9.0-2.mga2
+ Revision: 117315
- rebuild for new tcl

* Sat Jun 25 2011 ahmad <ahmad> 2.9.0-1.mga2
+ Revision: 113770
- Update to 2.9.0
- Drop BR startup-notification-devel, it's redundant since 2.7.11

* Thu Jun 09 2011 dams <dams> 2.8.0-1.mga2
+ Revision: 102475
- fix 'resolveconf' patch
- rediff 'resolveconf' and 'gg-disconnect' patch
- rediff 'resolveconf' and 'gg-disconnect' patch

* Tue Mar 29 2011 dams <dams> 2.7.11-1.mga1
+ Revision: 78653
- Update to 2.7.11

* Wed Feb 16 2011 ahmad <ahmad> 2.7.10-2.mga1
+ Revision: 52068
- drop old/unneeded scriptlets
- imported package pidgin


* Mon Feb 07 2011 Funda Wang <fwang@mandriva.org> 2.7.10-1mdv2011.0
+ Revision: 636555
- update to new version 2.7.10

* Mon Dec 27 2010 Funda Wang <fwang@mandriva.org> 2.7.9-1mdv2011.0
+ Revision: 625375
- update to new version 2.7.9

* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 2.7.8-1mdv2011.0
+ Revision: 623830
- update BR
- new version 2.7.8

* Mon Nov 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.7.7-2mdv2011.0
+ Revision: 603141
- rebuild for new libgadu

* Wed Nov 24 2010 Götz Waschk <waschk@mandriva.org> 2.7.7-1mdv2011.0
+ Revision: 600377
- update to new version 2.7.7

* Mon Nov 22 2010 Götz Waschk <waschk@mandriva.org> 2.7.6-2mdv2011.0
+ Revision: 599830
- rebuild
- update to new version 2.7.6

* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 2.7.5-3mdv2011.0
+ Revision: 592788
- rebuild again :-(
- rebuild for missing source package

  + Funda Wang <fwang@mandriva.org>
    - new snapshot of fetion plugin
    - new version 2.7.5

* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 2.7.4-2mdv2011.0
+ Revision: 591300
- rebuild for py 2.7

* Thu Oct 21 2010 Oden Eriksson <oeriksson@mandriva.com> 2.7.4-1mdv2011.0
+ Revision: 587096
- 2.7.4
- drop one upstream added patch
- drop 2008.0 stuff

* Wed Aug 11 2010 Funda Wang <fwang@mandriva.org> 2.7.3-1mdv2011.0
+ Revision: 568947
- new version 2.7.3
- New version 2.7.2

* Tue Jun 22 2010 Götz Waschk <waschk@mandriva.org> 2.7.1-1mdv2010.1
+ Revision: 548500
- new version
- disable mono plugin as discussed with the pidgin devs
- rediff patches 0,2
- drop patches 4,5,100,102,118,120
- bump gtk+ dep
- build finch with python support

  + Oden Eriksson <oeriksson@mandriva.com>
    - added 2008.0 conditionals

* Mon May 17 2010 Götz Waschk <waschk@mandriva.org> 2.6.6-5mdv2010.1
+ Revision: 544964
- fix build of the mono plugin
- add security patch for msn (CVE-2010-1624)

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 2.6.6-4mdv2010.1
+ Revision: 533672
- add perl plugin patch (bug #58439)

* Thu Mar 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.6-3mdv2010.1
+ Revision: 527400
- rebuilt against nss-3.12.6

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 2.6.6-2mdv2010.1
+ Revision: 519817
- add patches for AIM/ICQ client login

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.6-1mdv2010.1
+ Revision: 507410
- 2.6.6
- rediffed P3 but added -avoid-version too

  + Pascal Terjan <pterjan@mandriva.org>
    - Do not list evolution package when not built

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 2.6.5-1mdv2010.1
+ Revision: 489460
- New version 2.6.5

* Sat Jan 02 2010 Götz Waschk <waschk@mandriva.org> 2.6.4-3mdv2010.1
+ Revision: 485012
- don't build evolution plugin on Cooker
- prepare for backports

  + Olivier Blin <oblin@mandriva.com>
    - bump release
    - default to xdg-open to open links (instead of inexistent mozilla)

* Mon Nov 30 2009 Götz Waschk <waschk@mandriva.org> 2.6.4-1mdv2010.1
+ Revision: 472064
- add MXit plugin
- new version
- drop patches 101, 102, 103
- rediff patch 2

* Sun Oct 25 2009 Götz Waschk <waschk@mandriva.org> 2.6.3-2mdv2010.0
+ Revision: 459197
- fix tray icon size in KDE (bug #54667)

* Fri Oct 16 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.3-1mdv2010.0
+ Revision: 457896
- dropped P100, applied upstream
- rediffed some patches
- 2.6.3

* Sat Oct 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.2-4mdv2010.0
+ Revision: 456482
- reenable gadu-gadu support, because latest libgadu trunk is fixed

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 2.6.2-3mdv2010.0
+ Revision: 456371
- new snapshot of fetion plugin

* Fri Oct 09 2009 Götz Waschk <waschk@mandriva.org> 2.6.2-2mdv2010.0
+ Revision: 456260
- disable libgadu build on Cooker, libgadu 1.9.0 is too new
- backport some fixes from Monotone and Fedora
 * Yahoo status change
 * Yahoo buddy idle time
 * Jabber crash when validating JID
 * AIM grab buddy status
- really disable vv for backports

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2010.0
+ Revision: 432615
- new version
- update file list

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2010.0
+ Revision: 418043
- new version

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.0-1mdv2010.0
+ Revision: 417964
- new version
- rediff patches 2,111,118
- drop patches 5,120
- update build deps
- update file list

* Tue Aug 18 2009 Frederik Himpe <fhimpe@mandriva.org> 2.5.9-1mdv2010.0
+ Revision: 417853
- update to new version 2.5.9

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 2.5.8-2mdv2010.0
+ Revision: 411852
- new snapshot of fetion plugin

* Mon Jun 29 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-1mdv2010.0
+ Revision: 390445
- bump release
- 2.5.8
- prepare for main/testing

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5.7-1mdv2010.0
+ Revision: 387569
- 2.5.7
- drop one upstream implemented patch (P121)

* Thu Jun 18 2009 Funda Wang <fwang@mandriva.org> 2.5.6-3mdv2010.0
+ Revision: 386941
- New version of fetion plugin

* Fri Jun 05 2009 Götz Waschk <waschk@mandriva.org> 2.5.6-2mdv2010.0
+ Revision: 382982
- fix MSN contact addition

* Thu May 21 2009 Götz Waschk <waschk@mandriva.org> 2.5.6-1mdv2010.0
+ Revision: 378486
- fix installation
- new version
- drop patches 6,7

* Thu May 07 2009 Götz Waschk <waschk@mandriva.org> 2.5.5-6mdv2010.0
+ Revision: 372835
- fix crash with new mail notification (bug #49124)
- drop old configure option

* Thu Apr 23 2009 Funda Wang <fwang@mandriva.org> 2.5.5-5mdv2009.1
+ Revision: 368796
- New fetion snapshot to fix crash when login

* Thu Apr 02 2009 Götz Waschk <waschk@mandriva.org> 2.5.5-4mdv2009.1
+ Revision: 363556
- fix crash in msn plugin (bug #49160)

* Sat Mar 21 2009 Funda Wang <fwang@mandriva.org> 2.5.5-3mdv2009.1
+ Revision: 359921
- new source of fetion plugin

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for bug #48621

* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 2.5.5-1mdv2009.1
+ Revision: 348200
- drop patch 4
- new version
- update file list

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.5.4-2mdv2009.1
+ Revision: 347095
- add one time password plugin

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2.5.4-1mdv2009.1
+ Revision: 328879
- spec fix
- update to new version 2.5.4

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 2.5.3-2mdv2009.1
+ Revision: 328305
- rebuild for new silc-toolkit

* Sun Dec 21 2008 Götz Waschk <waschk@mandriva.org> 2.5.3-1mdv2009.1
+ Revision: 317116
- new version
- rediff patches 0,2,111,119
- drop patch 117
- patches 1,5: fix format strings
- update file list

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.5.2-3mdv2009.1
+ Revision: 311098
- buildrequires dbus-glib-devel
- rebuild for new tcl

* Fri Oct 24 2008 Pascal Terjan <pterjan@mandriva.org> 2.5.2-2mdv2009.1
+ Revision: 296924
- Add a ugly patch to have the window appear when clicking on the tray icon

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.5.2-1mdv2009.1
+ Revision: 295546
- new version
- drop patches 100-103

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 2.5.1-5mdv2009.1
+ Revision: 293134
- add several crash fixes from Fedora

* Wed Oct 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.5.1-4mdv2009.0
+ Revision: 290324
- Fix conflicts for 2008.1 upgrade

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 2.5.1-3mdv2009.0
+ Revision: 289226
- New snapshot of fetion support

* Fri Sep 05 2008 Pascal Terjan <pterjan@mandriva.org> 2.5.1-2mdv2009.0
+ Revision: 281213
- Add a simple patch to avoid a crash (reported upstream as #6972)

  + Götz Waschk <waschk@mandriva.org>
    - fix build deps
    - fix dep of the devel package

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.5.1-1mdv2009.0
+ Revision: 278103
- new version

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.5.0-2mdv2009.0
+ Revision: 274372
- switch to rootcerts

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.5.0-1mdv2009.0
+ Revision: 274213
- new version
- drop patches 1,113

* Fri Aug 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.3-5mdv2009.0
+ Revision: 268321
- Patch117: new version(this patch should be included upstream into next pidgin release), of the GG picture sender

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 2.4.3-4mdv2009.0
+ Revision: 240009
- New fetion snapshot

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 2.4.3-3mdv2009.0
+ Revision: 240005
- disable mono plugin in mips arch

* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 2.4.3-2mdv2009.0
+ Revision: 236381
- rebuild

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 2.4.3-1mdv2009.0
+ Revision: 230612
- new version
- temporarily disable patch 4
- drpo patch 118

* Wed Jul 02 2008 Pascal Terjan <pterjan@mandriva.org> 2.4.2-12mdv2009.0
+ Revision: 230582
- Add upstream patch to fix connecting to ICQ

* Fri Jun 27 2008 Funda Wang <fwang@mandriva.org> 2.4.2-11mdv2009.0
+ Revision: 229385
- New snapshot of fetion plugin, fix memory leak

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - own missing directories

* Sun Jun 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-9mdv2009.0
+ Revision: 219309
- Patch117: new version of patch

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 2.4.2-8mdv2009.0
+ Revision: 216780
- disable msnp14 as it is too broken

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Patch113: new version
    - Patch117: new version
    - clean up buildrequires, descriptions and file list

* Sat Jun 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-6mdv2009.0
+ Revision: 216736
- Patch117: add initial support for sending images for Gadu-Gadu (upstream bug #220, thanks goes to Tomasz Sa?\179aci?\241ski)

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 2.4.2-5mdv2009.0
+ Revision: 214118
- add a patch to solve null name for qq group

* Thu May 29 2008 Funda Wang <fwang@mandriva.org> 2.4.2-4mdv2009.0
+ Revision: 213076
- build jabber and oscar plugin as module
- try build with msnp14

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-3mdv2009.0
+ Revision: 208977
- remove dumb re-defineies
- remove old switches for really old mdv releases
- add missing buildrequires
- enable SILC support
- do not package COPYING files, fix all the docs
- disable networkmanager as mdv doesn't make any use of it

* Mon May 19 2008 Funda Wang <fwang@mandriva.org> 2.4.2-2mdv2009.0
+ Revision: 208866
- do not build networkmanager
- should BR nm-utils
- only enable nm support on 2009.0

* Sun May 18 2008 Funda Wang <fwang@mandriva.org> 2.4.2-1mdv2009.0
+ Revision: 208575
- explicitly enabled evo and cap plugin
- disable evolution build
- fix file list
- BR networkmanager
- New version 2.4.2

* Mon Apr 28 2008 Funda Wang <fwang@mandriva.org> 2.4.1-4mdv2009.0
+ Revision: 198017
- add fetion protocol into file list
- addd fetion support
- add patch for new autoconf (from PLD Linux)

  + Götz Waschk <waschk@mandriva.org>
    - improve deps for backports

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.1-3mdv2009.0
+ Revision: 194810
- drop patch 112 as it was merged upstream
- Patch113: new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-2mdv2009.0
+ Revision: 192440
- split out purple plugins to pidgin-plugins

* Wed Apr 02 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2008.1
+ Revision: 191565
- new version

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-2mdv2008.1
+ Revision: 180317
- remove facebook plugin

* Sat Mar 01 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2008.1
+ Revision: 177360
- new version
- drop patch 2
- update buildrequires

* Wed Feb 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.1-4mdv2008.1
+ Revision: 175953
- Patch116: handle gg server disconnection

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 2.3.1-3mdv2008.1
+ Revision: 170105
- drop unapplied patches 1,114
- patch to fix bug #35905 (broken accounts.xml)

  + Thierry Vignaud <tv@mandriva.org>
    - fix gstreamer0.10-devel BR for x86_64

* Tue Jan 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.1-2mdv2008.1
+ Revision: 152757
- seaching people by uin on Gadu-Gadu network is broken, fixing this with patch 115

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Funda Wang <fwang@mandriva.org> 2.3.1-1mdv2008.1
+ Revision: 116404
- New version 2.3.1

* Wed Nov 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 113537
- disable patch 114
- set explicit version for libgadu-devel (no SSL support)
- update patches 112 and 113, which are required by pidgin-privacy-please
- new version

* Thu Oct 25 2007 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 102021
- new version

* Fri Oct 12 2007 Pascal Terjan <pterjan@mandriva.org> 2.2.1-2mdv2008.1
+ Revision: 97243
- Don't crash on Jabber connection refused in non UTF-8 locale (upstream #2247)

* Wed Oct 03 2007 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 94925
- new version
- update patch 112
- drop patches 114-117

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new license policy
    - correct url for source0
    - remove mixture of tabs and space
    - add upstream patches 114-117 (memleaks, proxy settings etc.)
    - rediff patch 111
    - do not obsolete devel library
    - enable gnutls
    - add scriplets
    - fix file list
    - new version

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 2.1.1-4mdv2008.0
+ Revision: 82025
- rebuild for new soname of tcl

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 2.1.1-3mdv2008.0
+ Revision: 76499
- Synch pp patches with upstream version

* Wed Aug 22 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-2mdv2008.0
+ Revision: 68887
- rediff patch 112 (Maarten Vanraes)
- reenable patch 113

* Tue Aug 21 2007 Funda Wang <fwang@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 68173
- New version 2.1.1
- rediff patch0
- disable privacy patch as it does not apply now

* Sun Aug 12 2007 Funda Wang <fwang@mandriva.org> 2.1.0-2mdv2008.0
+ Revision: 62317
- fix upgrade

* Mon Jul 30 2007 Funda Wang <fwang@mandriva.org> 2.1.0-1mdv2008.0
+ Revision: 56708
- New version 2.1.0

* Thu Jul 26 2007 David Walluck <walluck@mandriva.org> 2.0.2-4mdv2008.0
+ Revision: 56092
- add patch for panel icon size

* Mon Jul 23 2007 Funda Wang <fwang@mandriva.org> 2.0.2-3mdv2008.0
+ Revision: 54660
- introduce i18n package to reduce dependency of finch
- rebuild against new silc-toolkit

* Fri Jun 29 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.2-2mdv2008.0
+ Revision: 45603
- rebuild with new rpm-mandriva-setup (-fstack-protector)

  + Funda Wang <fwang@mandriva.org>
    - Add obsoletes
    - New devel policy.

* Fri Jun 15 2007 Funda Wang <fwang@mandriva.org> 2.0.2-1mdv2008.0
+ Revision: 40038
- add missing file
- patch1 not needed
- New version

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-5mdv2008.0
+ Revision: 39477
- really build against libgadu

* Sat Jun 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-4mdv2008.0
+ Revision: 37630
- don't use pidgin's own libgadu, which is quite old (use one from main repository)
- disable building of static files rather than deleting them
- use some dirty hack for parallel build

* Fri Jun 08 2007 Colin Guthrie <cguthrie@mandriva.org> 2.0.1-3mdv2008.0
+ Revision: 37053
- Add support for the Facebook plugin (early in development)
- Patch to work with new Evolution Data Server
- Fix a crash relating to MSN Buddy authorization. Thanks to Stefan Ott.

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-2mdv2008.0
+ Revision: 33203
- patches 112 and 133 enable use of pidgin-privacy-please module

* Sat May 26 2007 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2008.0
+ Revision: 31329
- New upstream version 2.0.1

* Fri May 04 2007 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 22394
- new upstream version 2.0.0

  + Götz Waschk <waschk@mandriva.org>
    - sync with fedora: drop patches 102,103

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta7.1mdv2008.0
+ Revision: 20573
- fix spec an file list
- drop epoch tag
- drop source 2 (QQ smiley theme)
- drop merged patch 1
- update patch 0
- rediff patch 103

  + Funda Wang <fwang@mandriva.org>
    - evolution plugin should be in pidgin area.
    - split finch into individual package.
    - merge libgaim0 into pidgin main package.
    - make it more clear to distinguish library and app,
      by naming pidgin and purple.
    - try gaim->pidgin convertion.
    - new upstream version beta7
    - gaim now names pidgin
    - gaim now names pidgin


* Thu Feb 01 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-2.beta6.2mdv2007.0
+ Revision: 115818
- fix mono example plugins and reenable mono support
- fix deps between the subpackages, as long as it is a prerelease

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta6.1mdv2007.1
+ Revision: 110627
- new version
- disable mono, it currently does not build
- drop patches 104, 105, 106, 107, 108, 110, 112, 150, 152, 153
- add new plugins

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.6mdv2007.1
+ Revision: 107128
- port a few bug fixes from Fedora

* Fri Dec 01 2006 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-2.beta5.5mdv2007.1
+ Revision: 89504
- Drop the threads patch, it is now initialized correctly, and initializing it twice now aborts

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.4mdv2007.1
+ Revision: 88289
- bot rebuild
- fix buildrequires
- rebuild

* Sat Nov 11 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.1mdv2007.0
+ Revision: 81050
- new version
- readd source signature
- update file list

* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta4.2mdv2007.1
+ Revision: 71560
- readd dbus thread fix

* Fri Oct 20 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta4.1mdv2007.1
+ Revision: 71292
- Import gaim

* Fri Oct 20 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-2.beta4.1mdv2007.1
- fix buildrequires
- drop patch 1
- unpack patch
- new version

* Wed Aug 23 2006 Pascal Terjan <pterjan@mandriva.com> 1:2.0.0-2.beta3.1.1mdv2007.0
- Beta 3.1...

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1.beta3.12mdv2007.0
- fix buildrequires

* Sun Aug 13 2006 Pascal Terjan <pterjan@mandriva.com> 1:2.0.0-1.beta3.11mdv2007.0
- Initialize threads as gnomevfs now uses dbus (P1)

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.0.0-1.beta3.9mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1.beta3.8mdv2007.0
- rebuild for new e-d-s

* Sun Jul 16 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-0.beta3.7mdv2007.0
- XDG menu

* Tue May 02 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.6mdk
- rebuild

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.5mdk
- build the mono package

* Fri Apr 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.4mdk
- add mono package

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.3mdk
- rebuild for new e-d-s

* Fri Mar 31 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.2mdk
- fix buildrequires

* Thu Mar 30 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.1mdk
- drop patch 1
- new version

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.3mdk
- patch for new libortp, but disable vv

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.2mdk
- rebuild for new dbus

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.1mdk
- update patch 0
- fix buildrequires
- new version

* Mon Jan 02 2006 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.5mdk
- fix dbus-example.so belonging to 2 subpackages

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.beta1.4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sat Dec 24 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.3mdk
- fix missing %%
- don't build dbus and meanwhile on <= 2006.0
- BuildRequires doxygen for documentation (thanx misc for the reports)

* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.2mdk
- Change libgaimremote to libgaim-client
- Buildconflicts with stuff we can't disable in configure

* Sun Dec 18 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.1mdk
- 2.0.0 beta 1
- Drop patch1
- Drop patch2 (nas support no longer exists)
- Add Bonjour subpackage
- meanwhile is now included

* Sun Oct 09 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.5.0-5mdk
- Rebuild for new evolution-data-server

* Fri Sep 02 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5.0-4mdk
- add BuildRequires: gettext-devel

* Thu Sep 01 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5.0-3mdk
- fix build with nas support

* Sat Aug 13 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.0-2mdk
- use %%mkrel

* Sat Aug 13 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.5.0-1mdk
- 1.5.0

* Sat Jul 09 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.4.0-1mdk
- 1.4.0

* Tue Jul 05 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.1-3mdk
- Don't duplicate libsilcgaim.so in main package and -silc

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 1:1.3.1-2mdk
- rebuilt without krb4 support

* Sun Jun 12 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.1-1mdk
- 1.3.1

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.3.0-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Sat May 21 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.3.0-2mdk
- Rebuild for new libperl.so

* Thu May 12 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.0-1mdk
- 1.3.0 (fix CAN-2005-1261 and CAN-2005-1262)

* Tue May 03 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-4mdk
- Rebuild for new silc

* Sat Apr 23 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-3mdk
- Fix for gcc4

* Fri Apr 22 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-2mdk
- Rebuild for new evolution-data-server

* Sat Apr 16 2005 Pascal Terjan <pterjan@mandrake.org> 1:1.2.1-1mdk
- New release 1.2.1

* Mon Mar 21 2005 Pascal Terjan <pterjan@mandrake.org> 1:1.1.4-3mdk
- Get a release number greater than the one from updates
- Requires on release

* Tue Mar 01 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.4-2mdk
- Fix rebuilding on <= 10.0

* Sun Feb 27 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.4-1mdk
- New release 1.1.4

* Sat Feb 26 2005 Abel Cheung <deaddog@mandrake.org> 1.1.3-2mdk
- Append QQ theme to default theme

* Sat Feb 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.3-1mdk
- New release 1.1.3

* Sat Feb 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.2-2mdk
- Rebuild

* Fri Jan 21 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.2-1mdk
- 1.1.2

* Tue Dec 28 2004 Pascal Terjan <pterjan@mandrake.org> 1.1.1-1mdk
- 1.1.1

* Sun Dec 05 2004 Pascal Terjan <pterjan@mandrake.org> 1.1.0-1mdk
- 1.1.0

* Mon Nov 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.3-2mdk
- rebuild for new perl

* Fri Nov 12 2004 Pascal Terjan <pterjan@mandrakesoft.com> 1.0.3-1mdk
- New release 1.0.3

* Wed Oct 27 2004 Abel Cheung <deaddog@mandrake.org> 1.0.2-2mdk
- Adds SILC support
- Use UTF-8 for spec file
- Remove patch1; festival plugin splitted from gaim, to simplify build
- Re-enable kerberos for zephyr
- Corrected devel package requirement
- Reorganize docs

* Thu Oct 21 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.2-1mdk
- New release 1.0.2

* Tue Sep 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.82.1-2mdk
- add BuildRequires: libnss-devel libnspr-devel (for MSN support)

* Mon Aug 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.82.1-1mdk
- 0.82.1

* Fri Aug 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.82-1mdk
- 0.82

* Fri Aug 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.81-3mdk
- security fix

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.81-2mdk
- Rebuild with new menu

* Mon Jul 19 2004 Pascal Terjan <pterjan@mandrake.org> 0.81-1mdk
- 0.81

* Mon Jul 19 2004 Pascal Terjan <pterjan@mandrake.org> 0.80-1mdk
- 0.80
- updated patch0

* Sun Jul 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-4mdk
- rebuild for new evolution data server

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.79-3mdk
- fix buildrequires

* Tue Jun 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-2mdk
- put .h for gaim in gaim-devel, not libgaimremote-devel

* Tue Jun 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-1mdk
- 0.79
- move gaim-encryption to a separate package
- add a -devel package
- gaim-festival 0.78

* Fri Jun 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-4mdk
- Rebuild for evolution-data-server

* Fri Jun 04 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-3mdk
- Allow rebuilding on stable version

* Tue Jun 01 2004 Abel Cheung <deaddog@deaddog.org> 0.78-2mdk
- More epoch fixes
- Enable and split tcl plugin
- Drop source100, use ImageMagick to convert icons
- Don't remove locale, en_CA is valid!
- Update festival plugin

* Tue Jun 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-1mdk
- gaim-encryption 2.26
- stop removing libtoolize
- fix invalid-lc-messages-dir (en_CA)
- 0.78

* Sat May 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-2mdk
- gaim-encryption 2.25 to fix plugin loading due to API mismatch
- gaim festival 0.77 (Does not fix API mismatch :( )

* Sat Apr 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-1mdk
- 0.77
- move gevolution plugin into a separate package

* Sun Apr 04 2004 Pascal Terjan <pterjan@mandrake.org> 0.76-1mdk 
- 0.76
- drop Patch2

* Wed Feb 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-5mdk
- add missing Epoch in libgaim-remote0-devel Require

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-4mdk
- use epoch in subpackages Requires

